@font-face {
    font-family: Raleway;
    src: url("assets/fonts/Raleway/static/Raleway-ExtraLight.ttf");
}

@font-face {
    font-family: Roboto;
    src: url("assets/fonts/Roboto/static/Roboto-Medium.ttf");
}

body {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: normal;
    background: #fff; 
}

#scanning-overlay {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: transparent;
    z-index: 2;
}

#scanning-overlay .inner {
    display: block;
    align-items: center;
    justify-content: center;
    position: relative;
    background:
      linear-gradient(to right, white 10px, transparent 10px) 0 0,
      linear-gradient(to right, white 10px, transparent 10px) 0 100%,
      linear-gradient(to left, white 10px, transparent 10px) 100% 0,
      linear-gradient(to left, white 10px, transparent 10px) 100% 100%,
      linear-gradient(to bottom, white 10px, transparent 10px) 0 0,
      linear-gradient(to bottom, white 10px, transparent 10px) 100% 0,
      linear-gradient(to top, white 10px, transparent 10px) 0 100%,
      linear-gradient(to top, white 10px, transparent 10px) 100% 100%;
    background-repeat: no-repeat;
    background-size: 40px 40px;
    padding: 10px 20px; 
    text-align: center;
    width: 28vh;
    user-select: none; 
}
  
#scanning-overlay.hidden {
    display: none;
}
  
#scanning-overlay img {
    opacity: 0.6;
    width: 85%;
    margin: 20px;
    align-self: center;
}
  
#scanning-overlay .inner .scanline {
    position: absolute;
    width: 86%;
    height: 10px;
    background: white;
    animation: move 2s linear infinite;
}

.button_return{
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 9999;
    margin-top: 10px;
    margin-left: 10px;
    color: #3D3D3D;
    text-decoration: none;
    border-radius: 12px;
    padding: 7px 10px 4px 1px;
    background: #fff;
    display: inline-flex;
    font-family: 'Raleway', Courier, monospace;
    font-weight: 200;
    font-size: 1.1em;
    font-style: normal;
    text-transform: uppercase;
}

/* Homepage */
#homepage_begin {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    z-index: 99999;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    overflow: hidden;
    transition: opacity .5s ease-out;
    user-select: none;
}

#homepage_begin::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: url('https://catacombes.xyz/NFC/assets/img/couloirCatacombes_catacombes.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: brightness(0.5);
    z-index: -1; 
}

#main_title_home{
    width: 100%;
    text-align: center;
    color: #fff;
    position: absolute;
    top: 7vh;
}

#version_texte_home{
    bottom: 0px;
    right: 14px;
    position: absolute;
}

#link_devxr{
    top: 1vw;
    position: absolute;
}

#link_devxr img{
    width: 6vh;
}
#button_start {
    position: absolute;
    bottom: 15vh;
    left: 42%;
    transform: translateX(-50%);
    padding: 1em 1.4em;
    font-size: 1.1em;
    background-color: rgb(242 242 242);
    color: #fff;
    border: none;
    border-radius: 12px;
    cursor: pointer;
    width: max-content;
    font-weight: 200;
    color: #3D3D3D;
    text-transform: uppercase;
}

.first_text{
    font-size: 7vw;
}

.second_text{
    font-size: 10vw;
}

.third_text{
    font-size: 5vw;
}

.thin_text, #button_start{
    font-family: 'Raleway', Courier, monospace;
}

.massive_text{
    font-family: 'Roboto', Courier, monospace;
    text-transform: uppercase;
}

.massive_text_helper{
    color: #fff;
    margin: 0rem 0 1rem 0;
    font-family: 'Roboto', Courier, monospace;
    text-transform: uppercase;
}
  
#loading_progress {
    transition: all 0.3s ease-in-out;
    font-weight: 300;
    letter-spacing: 1px;
}

/* Infos Card */
#infos_card{
    transform: translateX(-50%);
    position: absolute;
    right: 0%;
    padding: 8px 5px 5px 5px;
    background-color: rgb(242 242 242);
    border-radius: 10px;
    bottom: 15vh;
}

@keyframes move {
    0%, 100% { top: 0% }
    50% { top: calc(100% - 10px) }
}